Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.deploy.api.spi
Class WebLogicTarget

    java.lang.Object
      weblogic.deploy.api.shared.WebLogicTargetType
          weblogic.deploy.api.spi.WebLogicTarget

All Implemented Interfaces:
  Target

public abstract class WebLogicTarget
extends WebLogicTargetType
implements Target

WebLogic extension to the javax.enterprise.deploy.spi.Target interface.

See Also:
  `WebLogicTargetType`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.deploy.api.shared.WebLogicTargetType
`CLUSTER, JMSSERVER, SAFAGENT, SERVER, VIRTUALHOST`

Method Summary
`boolean` | `equals(Object o)`
`abstract String` | `getDescription()` String representation of the type of target: server, cluster or virtual host.
`abstract String` | `getName()` The configured name of a WLS target.
`int` | `hashCode()` Equality is based on name and type of target
`abstract boolean` | `isCluster()` Indicates whether this target represents a cluster target.
`abstract boolean` | `isJMSServer()` Indicates whether this target represents a JMS server target
`abstract boolean` | `isSAFAgent()` Indicates whether this target represents a SAF agent target
`abstract boolean` | `isServer()` Indicates whether this target represents a server target.
`abstract boolean` | `isVirtualHost()` Indicates whether this target represents a virtual host target

Methods inherited from class weblogic.deploy.api.shared.WebLogicTargetType
`getValue, getWebLogicTargetType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### equals

    public boolean equals(Object o)

### getDescription

    public abstract String getDescription()

  String representation of the type of target: server, cluster or virtual host.

  Specified by:
    `getDescription` in interface `Target`

### getName

    public abstract String getName()

  The configured name of a WLS target.

  Specified by:
    `getName` in interface `Target`

### hashCode

    public int hashCode()

  Equality is based on name and type of target

### isCluster

    public abstract boolean isCluster()

  Indicates whether this target represents a cluster target.

### isJMSServer

    public abstract boolean isJMSServer()

  Indicates whether this target represents a JMS server target

### isSAFAgent

    public abstract boolean isSAFAgent()

  Indicates whether this target represents a SAF agent target

### isServer

    public abstract boolean isServer()

  Indicates whether this target represents a server target.

### isVirtualHost

    public abstract boolean isVirtualHost()

  Indicates whether this target represents a virtual host target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD